MagicMirror² v2.13.0 is available! For more information about this release, check out this topic.

Unable to install dependencies!



  • I tried downloading the files from the internet using…

    sudo curl -sL https://raw.githubusercontent.com/MichMich/MagicMirror/master/installers/raspberry.sh | bash
    
    

    and get the error below stating dependencies cant be found. I have built a mirror previously using the same instructions and now keep running into this issue.

    No Node.js upgrade necessary.
    Cloning MagicMirror ...
    Cloning into 'MagicMirror'...
    remote: Enumerating objects: 282, done.
    remote: Counting objects: 100% (282/282), done.
    remote: Compressing objects: 100% (251/251), done.
    remote: Total 282 (delta 34), reused 127 (delta 21), pack-reused 0
    Receiving objects: 100% (282/282), 385.56 KiB | 0 bytes/s, done.
    Resolving deltas: 100% (34/34), done.
    Cloning MagicMirror Done!
    Installing dependencies ...
    bash: line 113: npm: command not found
    Unable to install dependencies!
    

  • Module Developer

    @umeeq This script requires thatnpm is already installed. Please double check that.



  • In case you didn’t find a solution yet, a user by the name sdetweil just helped me with a similar problem with my RPi 3 B+ running the latest Rasbian Stretch.

    Here is the link to that discussion for everyone else who is stuck at this step too:
    https://forum.magicmirror.builders/topic/9636/stuck-at-unable-to-install-dependencies/8?page=1


Log in to reply